#include <pybind11/pybind11.h>
#include <pybind11/stl.h>
#include <glpy.h>


namespace py = pybind11;


PYBIND11_MODULE(glpy, m) {
    m.doc() = "glpy a python opengl project"; // optional module docstring
    auto tests = m.def_submodule("tests","the tests module");
    
    tests.def("glfw_window",&tests::glfw_window,
        py::arg("width"),
        py::arg("height"),
        py::arg("title")
        );
}